
package de.ivu.elect.business.person.control;

import javax.inject.Inject;

import de.ivu.elect.business.person.boundary.BerufUpdatedEvent;
import de.ivu.elect.business.person.entity.Beruf;

public class BerufCreate extends AbstractBerufCreate {

  @Inject
  BerufUpdatedEvent berufUpdatedEvent;

  @Override
  public void save(Beruf entity) {
    super.save(entity);

    berufUpdatedEvent.sendChangeEvent(null, entity.getName());
  }

}
